import * as SQS from 'aws-sdk/clients/sqs';
/**
 * Given a raw SQS message generates a context that can be referenced in handlers
 */
export declare type ContextProvider<TContext> = (sqsMessage: SQS.Types.Message) => Promise<TContext>;
export interface DefaultTaskContext {
    sqsMessage: SQS.Types.Message;
}
export declare function defaultTaskContextProvider(sqsMessage: SQS.Message): Promise<DefaultTaskContext>;
